
Ruby - Bug #9596

Segmentation Fault 1.9.3p545 when starting rails s

03/05/2014 05:00 PM - bhushangahire (Bhushan Ahire)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 1.9.3 Backport:  

Description

-- Crash Report log information --------------------------------------------

   See Crash Report log file under the one of following:

     * ~/Library/Logs/CrashReporter

     * /Library/Logs/CrashReporter

     * ~/Library/Logs/DiagnosticReports

     * /Library/Logs/DiagnosticReports

   the more detail of.

-- Control frame information -----------------------------------------------

c:0034 p:---- s:0109 e:000108 CFUNC  :initialize

c:0033 p:---- s:0107 e:000106 CFUNC  :new

c:0032 p:0075 s:0104 e:000101 METHOD /Users/bhushanahire/.rvm/gems/ruby-1.9.3-p545/gems/json-1.8.1

/lib/json/common.rb:67

c:0031 p:0070 s:0093 e:000091 CLASS  /Users/bhushanahire/.rvm/gems/ruby-1.9.3-p545/gems/json-1.8.1

/lib/json/ext.rb:17

c:0030 p:0011 s:0090 e:000089 CLASS  /Users/bhushanahire/.rvm/gems/ruby-1.9.3-p545/gems/json-1.8.1

/lib/json/ext.rb:12

c:0029 p:0057 s:0088 e:000087 TOP    /Users/bhushanahire/.rvm/gems/ruby-1.9.3-p545/gems/json-1.8.1

/lib/json/ext.rb:9 [FINISH]

c:0028 p:---- s:0086 e:000085 CFUNC  :require

c:0027 p:0019 s:0082 e:000081 CLASS  /Users/bhushanahire/.rvm/gems/ruby-1.9.3-p545/gems/json-1.8.1

/lib/json.rb:58

c:0026 p:0017 s:0080 e:000079 TOP    /Users/bhushanahire/.rvm/gems/ruby-1.9.3-p545/gems/json-1.8.1

/lib/json.rb:54 [FINISH]

c:0025 p:---- s:0078 e:000077 CFUNC  :require

c:0024 p:0009 s:0074 e:000073 TOP    /Users/bhushanahire/.rvm/gems/ruby-1.9.3-p545/gems/activesupp

ort-4.0.2/lib/active_support/core_ext/object/to_json.rb:3 [FINISH]

c:0023 p:---- s:0072 e:000071 CFUNC  :require

c:0022 p:0071 s:0068 e:000067 TOP    /Users/bhushanahire/.rvm/gems/ruby-1.9.3-p545/gems/activesupp

ort-4.0.2/lib/active_support/core_ext/object.rb:11 [FINISH]

c:0021 p:---- s:0066 e:000065 CFUNC  :require

c:0020 p:0023 s:0062 e:000061 TOP    /Users/bhushanahire/.rvm/gems/ruby-1.9.3-p545/gems/railties-4

.0.2/lib/rails/configuration.rb:3 [FINISH]

c:0019 p:---- s:0060 e:000059 CFUNC  :require

c:0018 p:0015 s:0056 e:000055 TOP    /Users/bhushanahire/.rvm/gems/ruby-1.9.3-p545/gems/railties-4

.0.2/lib/rails/railtie.rb:2 [FINISH]

c:0017 p:---- s:0054 e:000053 CFUNC  :require

c:0016 p:0007 s:0050 e:000049 TOP    /Users/bhushanahire/.rvm/gems/ruby-1.9.3-p545/gems/railties-4

.0.2/lib/rails/engine.rb:1 [FINISH]

c:0015 p:---- s:0048 e:000047 CFUNC  :require

c:0014 p:0031 s:0044 e:000043 TOP    /Users/bhushanahire/.rvm/gems/ruby-1.9.3-p545/gems/railties-4

.0.2/lib/rails/application.rb:4 [FINISH]

c:0013 p:---- s:0042 e:000041 CFUNC  :require

c:0012 p:0047 s:0038 e:000037 TOP    /Users/bhushanahire/.rvm/gems/ruby-1.9.3-p545/gems/railties-4

.0.2/lib/rails.rb:9 [FINISH]

c:0011 p:---- s:0036 e:000035 CFUNC  :require

c:0010 p:0007 s:0032 e:000031 TOP    /Users/bhushanahire/.rvm/gems/ruby-1.9.3-p545/gems/railties-4

.0.2/lib/rails/all.rb:1 [FINISH]

c:0009 p:---- s:0030 e:000029 CFUNC  :require

c:0008 p:0026 s:0026 e:000025 TOP    /Users/bhushanahire/Documents/NetbeansProjects/invoicesapp/co

nfig/application.rb:3 [FINISH]

c:0007 p:---- s:0024 e:000023 CFUNC  :require
c:0006 p:0014 s:0020 e:000019 BLOCK  /Users/bhushanahire/.rvm/gems/ruby-1.9.3-p545/gems/railties-4

.0.2/lib/rails/commands.rb:74 [FINISH]

c:0005 p:---- s:0017 e:000016 CFUNC  :tap

c:0004 p:0562 s:0014 e:000013 TOP    /Users/bhushanahire/.rvm/gems/ruby-1.9.3-p545/gems/railties-4

.0.2/lib/rails/commands.rb:71 [FINISH]

c:0003 p:---- s:0008 e:000007 CFUNC  :require

c:0002 p:0034 s:0004 E:001178 EVAL   bin/rails:4 [FINISH]

c:0001 p:0000 s:0002 E:001c38 TOP    [FINISH]

History

#1 - 03/05/2014 05:15 PM - usa (Usaku NAKAMURA)

The attached file says that the ruby is 2.0.0.

Are you really using ruby 1.9.3?

#2 - 01/12/2015 04:19 AM - hsbt (Hiroshi SHIBATA)

- Tracker changed from Backport to Bug

- Project changed from 13 to Ruby

- Status changed from Open to Feedback

- Assignee deleted (mrkn (Kenta Murata))

- ruby -v set to 1.9.3

#3 - 01/12/2015 07:08 AM - nobu (Nobuyoshi Nakada)

- Description updated

- Status changed from Feedback to Rejected

Two different libruby are used.

       0x102bf7000 -        0x102d8afff  libruby.2.0.0.dylib (96) <EF561B91-2588-3589-9214-5EB00B4A45CD> /

System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/libruby.2.0.0.dylib

       0x103021000 -        0x103249ff7 +libruby.1.9.1.dylib (0) <F8FD150D-70E9-3AE9-8E40-6BC5F58BBCA6> /U

sers/USER/*/libruby.1.9.1.dylib
